%define product		CMFPhotoAlbum
%define version		0.5.0
%define release		2mdk

%define zope_minver	2.7

%define zope_home	%{_libdir}/zope
%define software_home	%{zope_home}/lib/python

Summary:	Useful Zope Product for managing photos and images
Name:		zope-%{product}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
Source:		http://aleron.dl.sourceforge.net/sourceforge/collective/CMFPhotoAlbum-%{version}.tar.bz2
Patch0:		zope-CMFPhotoAlbum-whrandom.patch.bz2
Patch1:		zope-CMFPhotoAlbum-Heirarchical.patch.bz2
URL:		http://sourceforge.net/projects/collective/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
Requires:	zope >= %{zope_minver}
Requires:	zope-CMF
Requires:	zope-CMFPhoto >= %{version}

%description
Useful Zope Product for managing photos and images in a Plone or CMF-based
site.

this package is patched with Heirarchical Photo List
http://www.cpmills.com/dev/CMFPhotoAlbum/heirarchy

%prep
%setup -c
%patch0 -p0
%patch1 -p0

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%files
%defattr(0644, root, root, 0755)
%{software_home}/Products/*


%changelog
* Sun Jan 30 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.5.0-2mdk
- add Heirarchical Photo List patch http://www.cpmills.com/dev/CMFPhotoAlbum/heirarchy

* Sun Jan 30 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.5.0-1mdk
- initial contrib
